package com.zt.plat.module.base.service.untInfo;

import java.util.*;
import jakarta.validation.*;
import com.zt.plat.module.base.controller.admin.untInfo.vo.*;
import com.zt.plat.module.base.dal.dataobject.untInfo.UntInfoDO;
import com.zt.plat.framework.common.pojo.PageResult;

/**
 * 计量单位 Service 接口
 *
 * @author 后台管理-1
 */
public interface UntInfoService {

    /**
     * 创建计量单位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    UntInfoRespVO createUntInfo(@Valid UntInfoSaveReqVO createReqVO);

    /**
     * 更新计量单位
     *
     * @param updateReqVO 更新信息
     */
    void updateUntInfo(@Valid UntInfoSaveReqVO updateReqVO);

    /**
     * 删除计量单位
     *
     * @param id 编号
     */
    void deleteUntInfo(Long id);

    /**
    * 批量删除计量单位
    *
    * @param ids 编号
    */
    void deleteUntInfoListByIds(List<Long> ids);

    /**
     * 获得计量单位
     *
     * @param id 编号
     * @return 计量单位
     */
    UntInfoDO getUntInfo(Long id);

    /**
     * 获得计量单位分页
     *
     * @param pageReqVO 分页查询
     * @return 计量单位分页
     */
    PageResult<UntInfoDO> getUntInfoPage(UntInfoPageReqVO pageReqVO);

}